#include <iostream.h>

struct PersonDetails
  {  char name[20];    
     int age;          
     float height;     
     PersonDetails *next_nd;
  };

PersonDetails *start_ptr = NULL;
PersonDetails *current;		 
int option = 0;

void AddDetailsEnd()
  {  PersonDetails *temp, *temp2;   

     // Reserve space for new PersonDetails and fill it with data
     temp = new PersonDetails;
     cout << "Please enter the name of the person: ";
     cin >> temp->name;
     cout << "Please enter the age of the person : ";
     cin >> temp->age;
     cout << "Please enter the height of the person : ";
     cin >> temp->height;
     temp->next_nd = NULL;

     // Set up link to this PersonDetails
     if (start_ptr == NULL)
       { start_ptr = temp;
	 current = start_ptr;
       }
     else
       { temp2 = start_ptr;
         // We know this is not NULL - list not empty!
         while (temp2->next_nd != NULL)
           {  temp2 = temp2->next_nd;
              // Move to next link in chain
           }
         temp2->next_nd = temp;
       }
  }

void DisplayDetails()
  {  PersonDetails *temp;
     temp = start_ptr;
     cout << endl;
     if (temp == NULL)
       cout << "The list is empty!" << endl;
     else
       { while (temp != NULL)
	   {  // Display details for what temp points to
              cout << "Name : " << temp->name << " ";
              cout << "Age : " << temp->age << " ";
	      cout << "Height : " << temp->height;
	      if (temp == current)
		cout << " <-- Current PersonDetails";
              cout << endl;
	      temp = temp->next_nd;

	   }
	 cout << "End of list!" << endl;
       }
  }

void DeletePersonDetailsStart()
   { PersonDetails *temp;
     temp = start_ptr;
     start_ptr = start_ptr->next_nd;
     delete temp;
   }

void DeletePersonDetailsEnd()
   { PersonDetails *temp1, *temp2;
     if (start_ptr == NULL)
          cout << "The list is empty!" << endl;
     else
        { temp1 = start_ptr;
          if (temp1->next_nd == NULL)
             { delete temp1;
               start_ptr = NULL;
             }
          else
             { while (temp1->next_nd != NULL)
                { temp2 = temp1;
                  temp1 = temp1->next_nd;
                }
               delete temp1;
               temp2->next_nd = NULL;
             }
        }
   }





void main()
  {  
clrscr();
start_ptr = NULL;
     do
	{
	  DisplayDetails();
	  cout << endl;
	  cout << "Please select an option : " << endl;
	  cout << "0. Exit the program." << endl;
	  cout << "1. Add a person details to the end of the list." << endl;
	  cout << "2. Delete a person details from the beginning of the list." << endl;
	  cout << "3. Delete a person details from the end of the list." << endl;

          cout << endl << " >> ";
	  cin >> option;

	  switch (option)
	    {
	      case 1 : AddDetailsEnd(); break;
	      case 2 : DeletePersonDetailsStart(); break;
	      case 3 : DeletePersonDetailsEnd(); 
	      
	    }
	}
     while (option != 0);
  }


