#include <iostream.h>
class Printer2;			
class Printer1 {
	int printing;
	public:
	Printer1() { 
		printing = 0; 
	}
	void set_print(int status) { 
		printing = status; 
	}  
	friend int inuse(Printer1 object1, Printer2 object2);
 			
};
class Printer2 {
	int printing;
	public:
	Printer2() { 
		printing = 0; 
	}
	void set_print(int status) { 
		printing = status; 
	}
	friend int inuse(Printer1 object1, Printer2 object2);
};
int inuse(Printer1 object1, Printer2 object2)
{
	if(object1.printing || object2.printing) return 1;
	else return 0;
}
int main()
{
	Printer1 p1;
	Printer2 p2;
	if(!inuse(p1, p2)) 
		cout << "Printer 1 and 2 are idle\n";
	cout << "Setting Printer 1 to printing...\n";
	p1.set_print(1);
	if(inuse(p1, p2)) 
		cout << "Now, Printer 1 in use\n";
	cout << "Turn off Printer 1...\n";
	p1.set_print(0);
	if(!inuse(p1, p2)) 
		cout << "Printer 1 and 2 are idle\n";
	cout << "Turn on Printer 2...\n";
	p2.set_print(1);
	if(inuse(p1, p2)) 
		cout << "Now, Printer 2 in use\n";
	return 0;
}
