#include <iostream.h>
class UnaryFriendOverload {
public:
	int x, y; 
	UnaryFriendOverload() { 
		x=0; 
		y=0; 
	}
	UnaryFriendOverload(int i, int j) { 
		x=i; 
		y=j; 
	}
	friend UnaryFriendOverload operator--(UnaryFriendOverload &ob); 	// prefix
	friend UnaryFriendOverload operator--(UnaryFriendOverload &ob, int notuse); // postfix
};
// Overload a friend -- (prefix) operator
UnaryFriendOverload operator--(UnaryFriendOverload &ob)
{
	ob.x--;
	ob.y--;
	return ob;
}
// Overload a friend -- (postfix) operator
UnaryFriendOverload operator--(UnaryFriendOverload &ob, int)
{
	ob.x--;
	ob.y--;
	return ob;
}
int main()
{
	UnaryFriendOverload obj(10, 10);
	--obj; // decrement object1 an object
	cout << "(--obj1) X: " << obj.x << ", Y: " << obj.y << endl;
	obj--; // decrement object1 an object
	cout << "(obj--) X: " << obj.x << ", Y: " << obj.y << endl;
	return 0;
}
