#include<iostream.h>

class Vehicle {
 	protected:
 	int wheels;
 	float weight;
 	public:
 	void initialize(int in_wheels, float in_weight)
 	{
 		/* initialize to any data desired */
 		wheels = in_wheels;
 		weight = in_weight;
 	}
 	int get_wheels(void)
 	{
 		/* get the number of wheels of this vehicle */
 		return wheels;
 	}
 	float get_weight(void)
 	{
 		/* return the weight of this vehicle */
 		return weight;
 	}
 	float wheel_loading(void)
 	{
 		/* return the weight on each wheel */
 		return weight/wheels;
 	}
};
class Car : public Vehicle {
 	int passenger_load;
 	public:
 	void initialize(int in_wheels, float in_weight, int people = 4)
 	{
 		passenger_load = people;
 		wheels = in_wheels;
 		weight = in_weight;
 	} 
 	int passengers(void)
 	{
 		return passenger_load;
 	}
};
int main()
{

 	Vehicle autoObj;
 	autoObj.initialize(3, 2000.0);
 	cout << "The auto rickshaw has " << autoObj.get_wheels() << " wheel.\n";
 	cout << "The auto rickshaw's wheel loading is " <<autoObj.wheel_loading() << " pounds on the single tyre.\n";
	cout << "The auto rickshaw weighs " <<autoObj.get_weight() << " pounds.\n";
 	Car marutiZen;
 	marutiZen.initialize(4, 3500.0, 5);
	cout << "The Maruti Zen carries " << marutiZen.passengers() <<" passengers.\n";
 	cout << "The Maruti Zen weighs " << marutiZen.get_weight() << " pounds.\n";
 	cout << "The Maruti Zen's wheel loading is " <<marutiZen.wheel_loading() << " pounds per tyre.\n";
	
 	return 0;
}
