#include <iostream.h>

class MinusOperatorOverload {
	int x, y;
public:
	MinusOperatorOverload() {
		x=0;
		y=0;
	}
	MinusOperatorOverload(int i, int j) {
		x=i;
		y=j;
	}
	void getXY(int &i, int &j) {
		i=x;
		j=y;
	}
	MinusOperatorOverload operator-(MinusOperatorOverload object2); /* overloading of binary minus */
	MinusOperatorOverload operator-();			/* overloading of unary	minus */
};

/* Overload - relative to MyClass class */
MinusOperatorOverload MinusOperatorOverload::operator-(MinusOperatorOverload
object2)
{
	MinusOperatorOverload temp;
	temp.x = x - object2.x;
	temp.y = y - object2.y;
	return temp;
}
/* Overload unary - for MinusOperatorOverload class */
MinusOperatorOverload MinusOperatorOverload::operator-()
{
	x = -x;
	y = -y;
	return *this;
}                                                
int main()
{
	MinusOperatorOverload object1(20, 30), object2(5, 7);
	int x, y;
	object1 = object1 - object2;				// subtraction
	object1.getXY(x, y);
	cout << "(object1-object2) X: " << x << ", Y: " << y << endl;

	object1 = -object1;					// negation
	object1.getXY(x, y);
	cout << "(-object1) X: " << x << ", Y: " << y << endl;

	return 0;
}
