#include <iostream.h>
class BinaryOperatorsOverload {
	int x, y;
public:
	BinaryOperatorsOverload() {
		x=0;
		y=0;
	}
	BinaryOperatorsOverload(int i, int j) {
		x=i;
      y=j;
      }
	void getXY(int &i, int &j) {
		i=x;
		j=y;
	}
	BinaryOperatorsOverload operator+(BinaryOperatorsOverload object2);
	BinaryOperatorsOverload operator-(BinaryOperatorsOverload object2);
	BinaryOperatorsOverload operator=(BinaryOperatorsOverload object2);
};

// Overload + operator
BinaryOperatorsOverload BinaryOperatorsOverload::operator+
(BinaryOperatorsOverload object2)
{
	BinaryOperatorsOverload temp;
	temp.x = x + object2.x;
	temp.y = y + object2.y;
	return temp;
}

// Overload - operator
BinaryOperatorsOverload BinaryOperatorsOverload::operator-
(BinaryOperatorsOverload object2)
{
	BinaryOperatorsOverload temp;
	temp.x = x - object2.x;
	temp.y = y - object2.y;
	return temp;
}

// Overload = operator
BinaryOperatorsOverload BinaryOperatorsOverload::operator= 
(BinaryOperatorsOverload object2)
{
	x = object2.x;
	y = object2.y;
	return *this;					/* return the object that is assigned */
}

int main()
{
	BinaryOperatorsOverload object1(20, 30), object2(5, 3), object3;
	int x, y;
	object3 = object1 + object2;  /* addition of two objects, calls operator+() */
	object3.getXY(x, y);
	cout << "(object1+object2) X: " << x << ", Y: " << y << endl;
	object3 = object1 - object2; /* difference of two objects, calls operator-() */
	object3.getXY(x, y);
	cout << "(object1-object2) X: " << x << ", Y: " << y << endl;
	object3 = object1;   /* assign an object with another object, calls operator=() */
	object3.getXY(x, y);
	cout << "(object3=object1) X: " << x << ", Y: " << y << endl;
	return 0;
}
