#include <iostream.h>
class FigureArea{
public:
	int height;
	int width;
};
class Rectangle : public FigureArea {
public:
	Rectangle(int h, int w) { 
		height = h; 
		width = w; 
	}
	double area() {
		return height * width; 
	}
};
class Isosceles : public FigureArea{
public:
	Isosceles(int h, int w) { 
		height = h; 
		width = w; 
	}
	double area() {
		return 0.5 * width * height; 
	}
};
class Cylinder : public FigureArea{
public:
	Cylinder(int h, int w) { 
		height = h; 
		width = w; 
	}
	double area()
	{ 
		return (2 * 3.14 * (width/2) * (width/2)) + (3.1416 * width * height); 
	}
};
int main()
{
	Rectangle rectObject(10, 20);
	Isosceles triObject(100, 36);
	Cylinder cylObject(40, 300);
	cout << "Rectangle: " << rectObject.area() << endl;
	cout << "Triangle: " << triObject.area() << endl;
	cout << "Cylinder: " << cylObject.area() << endl;
	return 0;
}
