#include <iostream.h>

   
class A {
public:
  virtual void myFunc() {
    cout << "This is A's myFunc().\n";
  }
};
   
class B1 : public A {
public:
  void myFunc() {
    cout << "This is B1's myFunc().\n";
  }
};
   
class B2 : public A {
public:
  void myFunc() {
    cout << "This is B2's myFunc().\n";
  }
};
   
// Use a A class reference parameter.
void f(A &r) {
  r.myFunc();
}
   
int main()
{
  A aObj;
  B1 b1Obj;
  B2 b2Obj;
   
  f(aObj); // passing A object to f()
  f(b1Obj); // passing B1 object to f()
  f(b2Obj); // passing B2 object to f()
  return 0;
}
